## vtk6 6.1.0+dfsg

=== debian/changelog ===
vtk6 (6.1.0+dfsg-8build1) utopic; urgency=medium

  * Rebuild against libav11.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 05 Sep 2014 02:59:09 +0100

vtk6 (6.1.0+dfsg-8) unstable; urgency=medium

  * [f813911] Add libxdmf-dev to Depends of libvtk6-dev.
  * [c470fe3] Install .so-files into site-packages. (Closes: #750474)
  * [2f93a13] Install vtkLocal. Causes #750474.
  * [b5e997c] Remove .pyc and .pyo files.

 -- Anton Gladky <gladk@debian.org>  Sat, 21 Jun 2014 09:13:50 +0200

vtk6 (6.1.0+dfsg-7) unstable; urgency=medium

  * [62edef6] Replace hdf5-mpi by hdf5-dev in BD to fix installation 
              problem due to libgdal-dev dependency.

 -- Anton Gladky <gladk@debian.org>  Sat, 14 Jun 2014 21:36:55 +0200

vtk6 (6.1.0+dfsg-6) unstable; urgency=medium

  * [f168c80] Rename bin/vtk to bin/vtk6
  * [38c7d65] Remove conflict between vtk6 and tcl-vtk. (Closes: #751249)
  * [bc645d1] Do not use system alglib temporarily.

 -- Anton Gladky <gladk@debian.org>  Thu, 12 Jun 2014 23:50:39 +0200

vtk6 (6.1.0+dfsg-5) unstable; urgency=medium

  * [1fe76a6] Fix BD for s390x (libhdf5-*-dev)

 -- Anton Gladky <gladk@debian.org>  Mon, 09 Jun 2014 13:41:45 +0200

vtk6 (6.1.0+dfsg-4) unstable; urgency=medium

  [ Anton Gladky ]
  * [26157d6] Fix compilation with gcc-4.9. (Closes: #746923)
  * [4ccd56b] Ignore quilt dir
  * [af6c085] Replace libvtk6 binary by libvtk6.1. (Closes: #749920)
  * [7cec1b3] Update changelog.
  * [762d041] Rename autopkgtests.
  * [94cb1d2] Fix duplicate in d/rules.
  * [ece06b2] Use system xdmf. (Closes: #750182)
  * [d266ed9] Use system sqlite. (Closes: #750183)
  * [d3a259a] Use system jsoncpp. (Closes: #750185)
  * [8beb5a9] Use system installed netcdf. (Closes: #750188)
  * [07755ea] Use system alglib. (Closes: #750187)
  * [f56ccbd] Remove vtkLocalExample from vtk6. (Closes: #750191)
  * [9694d41] Do not hardcode tcl version. (Closes: #750200)

  [ Mathieu Malaterre ]
  * [783c433] Do not override debian compilation flags. (Closes: #750205)
  * [7842505] Provide clean ABI. (Closes: #750206)
  * [741b601] Provide MRMPI implementation. (Closes: #750203)
  * [79b6e65] Remove documentation from libvtk6-dev. (Closes: #750408)
  * [6b9df91] Fix typo in debian/rules. (Closes: #750196)
  * [44e156d] Fix typo in debian/copyright. (Closes: #750409)
  * [126ea5d] Remove md5 files from documentation. (Closes: #750407)

 -- Anton Gladky <gladk@debian.org>  Thu, 05 Jun 2014 21:40:50 +0200

vtk6 (6.1.0+dfsg-3) unstable; urgency=medium

  * [208fbac] Remove RPATH from binaries. (Closes: #748667)

 -- Anton Gladky <gladk@debian.org>  Wed, 21 May 2014 21:54:40 +0200

vtk6 (6.1.0+dfsg-2) unstable; urgency=medium

  * [bac80b1] Fix FTBFS on many platforms in KWSYS. (Closes: #748552)

 -- Anton Gladky <gladk@debian.org>  Sun, 18 May 2014 12:55:27 +0200

vtk6 (6.1.0+dfsg-1) unstable; urgency=medium

  * [412063d] Update debian watch.
  * [b7cb12b] Exclude Web/*
  * [1187019] Imported Upstream version 6.1.0+dfsg. (Closes: #748053)
  * [b79b4ae] Add autopkgtest.

 -- Anton Gladky <gladk@debian.org>  Sat, 17 May 2014 21:55:34 +0200

vtk6 (6.0.0-7) unstable; urgency=medium

  * [9796292] Add some more entries in Depends section of libvtk6-dev.
  * [781eb7c] Remove old unused patches.
  * [a0f2514] Compile java module with -target 1.5. 
              Thanks to Gianfranco Costamagna <costamagnagianfranco@yahoo.it>.
              (Closes: #747108)
  * [15c0d26] Inject -Wl,--as-needed LDFLAGS.

 -- Anton Gladky <gladk@debian.org>  Fri, 09 May 2014 20:25:28 +0200
