## vtk6 6.1.0+dfsg2

=== debian/changelog ===
vtk6 (6.1.0+dfsg2-6) unstable; urgency=medium

  [ James Cowgill ]
  * [0b9b309] Fix FTBFS due to new freetype. (Closes: #779802)

 -- Anton Gladky <gladk@debian.org>  Thu, 12 Mar 2015 18:44:44 +0100

vtk6 (6.1.0+dfsg2-5) unstable; urgency=medium

  * [8a28236] Remove libvtk6-java. (Closes: #773422)
  * [dd23d1b] Move TCL-libraries into /usr/lib. 
              Thanks Ansgar Burchardt for the hint.
              (Closes: #773424)

 -- Anton Gladky <gladk@debian.org>  Sat, 03 Jan 2015 21:06:27 +0100

vtk6 (6.1.0+dfsg2-4) unstable; urgency=medium

  [ Ondřej Surý ]
  * [b660a4f] Fix FTBFS against new libjpeg. (Closes: #765938)

  [ Anton Gladky ]
  * [2d2f360] Fix autopkgtest failures.

 -- Anton Gladky <gladk@debian.org>  Wed, 22 Oct 2014 21:11:52 +0200

vtk6 (6.1.0+dfsg2-3) unstable; urgency=medium

  * [37a6db8] Add missing "endif". (Closes: #763763)

 -- Anton Gladky <gladk@debian.org>  Fri, 03 Oct 2014 15:01:55 +0200

vtk6 (6.1.0+dfsg2-2) unstable; urgency=medium

  * [463aa5a] Use Qt4 on armel and armhf instead of Qt5. (Closes: #763763)

 -- Anton Gladky <gladk@debian.org>  Thu, 02 Oct 2014 22:17:17 +0200

vtk6 (6.1.0+dfsg2-1) unstable; urgency=medium

  [ Dimitri John Ledkov ]
  * [00730bd] Switch vtk6 to Qt5. (Closes: #754948)

  [ Olly Betts ]
  * [38fb397] Update for wxPython 3.0. (Closes: #761413)

  [ Anton Gladky ]
  * [1187019] Imported Upstream version 6.1.0+dfsg
  * [b394a69] Add Examples/GUI/Win32/ into Files-Exclude.
  * [b066615] Use packages libjs-jquery instead of embedded.
  * [e7412a2] Set Standards-Version: 3.9.6. No changes.
  * [9aef415] Imported Upstream version 6.1.0+dfsg2

 -- Anton Gladky <gladk@debian.org>  Tue, 30 Sep 2014 23:08:30 +0200
