=== debian/rules ===
--- 
+++ 
@@ -45,8 +45,12 @@
 	-DCMAKE_BUILD_TYPE=None \
 	-DVTK_USE_GCC_VISIBILITY=ON \
 
-#	-DModule_vtkmrmpi=ON \
-
+qt4_archs = armel armhf
+ifeq (,$(filter $(DEB_HOST_ARCH),$(qt4_archs)))
+	extra_flags += -DVTK_QT_VERSION=5
+else
+	extra_flags += -DVTK_QT_VERSION=4
+endif
 
 override_dh_auto_configure:
 	dh_auto_configure -- $(extra_flags)
@@ -77,6 +81,5 @@
 	mv $(CURDIR)/debian/tmp/usr/bin/vtk $(CURDIR)/debian/tmp/usr/bin/vtk6
 	find $(CURDIR)/debian/tmp/ -name "*.pyc" | xargs rm -f
 	find $(CURDIR)/debian/tmp/ -name "*.pyo" | xargs rm -f
-
-override_dh_shlibdeps:
-	dh_shlibdeps -a -l /usr/lib/jvm/default-java/lib
+	find $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH) -name *TCL* -exec mv {} $(CURDIR)/debian/tmp/usr/lib/ \;
+	rename 's/\.so.*/.so/'  $(CURDIR)/debian/tmp/usr/lib/*
