=== debian/tests/control ===
Tests: buildBoolean buildPoint buildVTU buildDistance buildPNG buildVTP
Depends: libvtk6-dev, build-essential, cmake
